/* 2. slice()
语法: var newArray = slice(oldArr, [begin[, end]])
功能: 返回一个由 begin 和 end 决定的原数组的浅拷贝, 原始数组不会被改变 */

export function slice(array,begin,end){
  begin = begin || 0
  end = end || array.length
  if(begin<0){
    begin = 0
  }
  if(end>array.length){
    end = array.length  
  }
  let arr = []
  for (let index = begin; index < end; index++) {
    const item = array[index];
    arr.push(item)
  }
  return arr
}