/* 实现浅拷贝
方法一: 利用ES6语法
方法二: 利用ES5语法: for...in */
import {map,filter} from '../array/decleare.js'
import {concat} from '../array/concat.js'
export function clone1(object){
  if(Array.isArray(object)){
    // return [...object]
    // return map(object,item => item)
    // return object.filter(object,item => true)
    return concat([],object)
  }else if(object !==null && typeof object === 'object'){
    // return {...object}
    let obj = {}
    Object.keys(object).forEach(key => {
      obj[key] = object[key]
    })
    return obj
  }else{
    return obj
  }
}

export function clone2(object){
  if((object !== null && typeof object === 'object') || object instanceof Array){
    let obj = Array.isArray(object) ? [] : {}
    for (const key in object) {
      if (Object.hasOwnProperty.call(object, key)) {
        const value = object[key];
        obj[key] = value
      }
    }
    return obj
  } else {
    return object
  }
}
