/* 数组扁平化: 取出嵌套数组(多维)中的所有元素放到一个新数组(一维)中
如: [1, [3, [2, 4]]]  ==>  [1, 3, 2, 4] */
import {concat} from './concat.js'
import {some} from './decleare.js'

export function flatten1(array){
  let arr = concat([],...array)
  while(some(arr,item => Array.isArray(item))){
    arr = concat([],...arr)
  }
  return arr
}

export function flatten2(array){
  let arr = []
  array.forEach(item => {
    if(Array.isArray(item)){
      arr.push(...flatten2(item))
    }else{
      arr.push(item)
    }
  });
  return arr
}

